<?php

namespace DEVELUXSCT\HTMLGenerators;
if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly
}

class SearchProduct
{

    public static function search_result($search, $included_products, $action_type)
    {
        $all_products_arr = explode(',', $included_products);
        ob_start();
        include DEVELUXSCT_DWPC_PATH . 'templates/general/search_results/product_search_results.php';

        $final_result = ob_get_contents();
        ob_end_clean();
        return $final_result;
    }

    public static function search_product($product_id)
    {
        ob_start();
        include DEVELUXSCT_DWPC_PATH . 'templates/general/search_results/single_product_in_list.php';

        $final_result = ob_get_contents();
        ob_end_clean();
        return $final_result;
    }
}